ADDDEBUG(1)

NAME
adddebug - Modifies Makefile(s) to add debug info

SYNOPSIS

adddebug [-k] [-r] [-n]

DESCRIPTION

adddebug modifies the Makefile in the current directory (and optionally in its subdirectories) to add debug info (-g3). It will also remove optimisations (-O[1-9]).

This utility is part of the KDE Software Development Kit.

OPTIONS

-k  Keep optimisations (do not remove -O[1-9]? flags which are removed by default).

-r  Recursively search through all subdirectories of the current directory and operate on every Makefile that is found.

-n  compile without NDEBUG and NO_DEBUG being defined (makes kDebug calls work)

AUTHOR
Ben Burton.